Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceSessionDetailOrder.Builder

java.lang.Object
ru.bitel.bgbilling.modules.voice.common.bean.VoiceSessionDetailOrder.Builder

Enclosing class:
  VoiceSessionDetailOrder

public static class VoiceSessionDetailOrder.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VoiceSessionDetailOrder`
  `build()`
  `VoiceSessionDetailOrder.Builder`
  `copy(VoiceSessionDetailOrder order)`
  `VoiceSessionDetailOrder.Builder`
  `setAccountId(int accountId)`
  `VoiceSessionDetailOrder.Builder`
  `setContractId(int contractId)`
  `VoiceSessionDetailOrder.Builder`
  `setCreateDate(Date createDate)`
  `VoiceSessionDetailOrder.Builder`
  `setEmail(String email)`
  `VoiceSessionDetailOrder.Builder`
  `setEmailSend(VoiceSessionDetailOrder.EmailSend emailSend)`
  `VoiceSessionDetailOrder.Builder`
  `setFileSize(long fileSize)`
  `VoiceSessionDetailOrder.Builder`
  `setFormatType(VoiceSessionDetailOrder.FormatType formatType)`
  `VoiceSessionDetailOrder.Builder`
  `setMonth(int month)`
  `VoiceSessionDetailOrder.Builder`
  `setStatus(VoiceSessionDetailOrder.Status status)`
  `VoiceSessionDetailOrder.Builder`
  `setYear(int year)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setCreateDate

    public VoiceSessionDetailOrder.Builder setCreateDate(Date createDate)

  - ### setStatus

    public VoiceSessionDetailOrder.Builder setStatus(VoiceSessionDetailOrder.Status status)

  - ### setContractId

    public VoiceSessionDetailOrder.Builder setContractId(int contractId)

  - ### setAccountId

    public VoiceSessionDetailOrder.Builder setAccountId(int accountId)

  - ### setMonth

    public VoiceSessionDetailOrder.Builder setMonth(int month)

  - ### setYear

    public VoiceSessionDetailOrder.Builder setYear(int year)

  - ### setFormatType

    public VoiceSessionDetailOrder.Builder setFormatType(VoiceSessionDetailOrder.FormatType formatType)

  - ### setEmail

    public VoiceSessionDetailOrder.Builder setEmail(String email)

  - ### setEmailSend

    public VoiceSessionDetailOrder.Builder setEmailSend(VoiceSessionDetailOrder.EmailSend emailSend)

  - ### setFileSize

    public VoiceSessionDetailOrder.Builder setFileSize(long fileSize)

  - ### build

    public VoiceSessionDetailOrder build()

  - ### copy

    public VoiceSessionDetailOrder.Builder copy(VoiceSessionDetailOrder order)